/*
 * dim.h
 *
 * Coordinate system dimensions.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: dim.h,v $
 * Revision 1.7  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.6  1998/11/30 02:59:55  robertj
 * New directory structure
 *
 * Revision 1.5  1998/09/24 03:39:58  robertj
 * Added open software license.
 *
 * Revision 1.4  1996/08/08 10:09:41  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.3  1995/06/04 12:50:42  robertj
 * Added Add component functions.
 *
 * Revision 1.2  1994/12/14 11:17:21  robertj
 * Changed PDIMENSION to be unsigned causing untold number of changes.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PDIM


typedef int PORDINATE;
typedef unsigned int PDIMENSION;


///////////////////////////////////////////////////////////////////////////////
// PDim

#define _PDIM_PLATFORM_INCLUDE
#include "../../dim.h"

#endif
#ifdef _PDIM_PLATFORM_INCLUDE
#undef _PDIM_PLATFORM_INCLUDE

  public:
    static PDim FromDWORD(DWORD dw);
      // This is used to convert MS-Windows DWORD forms of size structures to
      // a PDim object.

    DWORD ToDWORD() const;
      // This will pack a PDim object into the MS-Windows DWORD format.

#endif


// End Of File ///////////////////////////////////////////////////////////////
