/*
 * dirdlg.h
 *
 * Directory selection dialog.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: dirdlg.h,v $
 * Revision 1.6  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.5  1998/11/30 02:59:56  robertj
 * New directory structure
 *
 * Revision 1.4  1998/09/24 03:40:00  robertj
 * Added open software license.
 *
 * Revision 1.3  1996/08/08 10:09:42  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.2  1994/10/23 05:45:52  robertj
 * Changed window messaging technique.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _POPENDIRDIALOG

///////////////////////////////////////////////////////////////////////////////
// POpenDirDialog

#define _POPENDIRDIALOG_PLATFORM_INCLUDE
#include "../../dirdlg.h"

#endif
#ifdef _POPENDIRDIALOG_PLATFORM_INCLUDE
#undef _POPENDIRDIALOG_PLATFORM_INCLUDE

  public:
    // Overrides from class PModalDialog
    virtual int RunModal();
      // Execute the dialog in a mode.


  protected:
    // Overrides from class PInteractor
    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.


    // Overrides from class PFileDialog
    virtual void OnListSelection(UINT listBox, UINT item, UINT operation);
      // Called whenever the standard file dialog changes the selected file in
      // its list boxes

#endif


// End Of File ///////////////////////////////////////////////////////////////
