/*
 * point.h
 *
 * Coordinate system position.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: point.h,v $
 * Revision 1.9  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.8  1998/11/30 03:00:18  robertj
 * New directory structure
 *
 * Revision 1.7  1998/09/24 03:41:22  robertj
 * Added open software license.
 *
 * Revision 1.6  1996/08/08 10:10:24  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.5  1995/06/04 12:50:43  robertj
 * Added Add component functions.
 *
 * Revision 1.4  1995/04/25 11:40:11  robertj
 * Fixed Borland compiler warnings.
 *
 * Revision 1.3  1995/03/12 05:00:16  robertj
 * Re-organisation of DOS/WIN16 and WIN32 platforms to maximise common code.
 * Used built-in equate for WIN32 API (_WIN32).
 *
 * Revision 1.2  1994/04/20  12:17:44  robertj
 * assert changes
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PPOINT

class PPoint;
PARRAY(PPointArray, PPoint);


///////////////////////////////////////////////////////////////////////////////
// PPoint

#define _PPOINT_PLATFORM_INCLUDE
#include "../../point.h"

#endif
#ifdef _PPOINT_PLATFORM_INCLUDE
#undef _PPOINT_PLATFORM_INCLUDE

  public:
    PPoint(DWORD dw);
      // This is used to convert MS-Windows DWORD forms of point structures to
      // a PPoint object.

    DWORD ToDWORD() const;
      // This will pack a PPoint object into the MS-Windows DWORD format.

    operator POINT() const;
    operator POINT*();
    operator const POINT*() const;
      // Get base structure type pointers.


  private:
    POINT p;

#endif


// End Of File ///////////////////////////////////////////////////////////////
