/*
 * submenu.h
 *
 * Heirarchical sub-menu.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: submenu.h,v $
 * Revision 1.9  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.8  1999/02/16 08:08:47  robertj
 * MSVC 6.0 compatibility changes.
 *
 * Revision 1.7  1998/11/30 03:00:31  robertj
 * New directory structure
 *
 * Revision 1.6  1998/09/24 03:42:18  robertj
 * Added open software license.
 *
 * Revision 1.5  1996/08/08 10:10:51  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.4  1994/11/19 00:06:07  robertj
 * Removed variable argument list binding for menus and controls.
 *
 * Revision 1.3  1994/07/17  10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.2  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#if !defined(_PSUBMENU) && !defined(_PSUBMENU_PLATFORM_INCLUDE)

///////////////////////////////////////////////////////////////////////////////
// PSubMenu

#define _PSUBMENU_PLATFORM_INCLUDE
#include "../../submenu.h"
#undef _PSUBMENU_PLATFORM_INCLUDE

#endif
#ifdef _PSUBMENU_PLATFORM_INCLUDE

  public:
    HMENU GetHMENU() const;
      // Return the menu handle for the menu as required by PTopLevelWindow.


  protected:
    PSubMenu(HMENU hSubMenu, PSubMenu & menu, const char * menuTitle);
      // Helper constructor for when creating menu from a resource. Creates
      // the object given the menu ID as used in the resource template.


    // New functions for class
    void LoadSubMenu();
      // Function for recursively creating menu items and sub-menus from the
      // menu loaded from a resource.


    // Memeber variables
    HMENU hMenu;
      // MS-Windows menu handle

#endif


#if !defined(_PSUBMENU) && !defined(_PSUBMENU_PLATFORM_INCLUDE)

#define _PSUBMENU


class POrphanSubMenu : public PSubMenu
{
  PCLASSINFO(POrphanSubMenu, PSubMenu)
  // Internal sub-menu type used in special menus (Window and Help).
  public:
    POrphanSubMenu(const PString & menuTitle);
};


#endif


// End Of File ///////////////////////////////////////////////////////////////
