/*
 * stdresid.h
 *
 * Standard Resource Identifiers for GUI system.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: stdresid.h,v $
 * Revision 1.17  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.16  1998/09/23 06:20:01  robertj
 * Added open source copyright license.
 *
 * Revision 1.15  1995/02/05 00:52:42  robertj
 * Added and changed about box standard string IDs.
 *
 * Revision 1.14  1995/01/22  07:29:42  robertj
 * Added font & colour standard dialogs.
 *
 * Revision 1.13  1995/01/01  01:08:16  robertj
 * Added more cursors for movement.
 *
 * Revision 1.12  1994/10/23  04:57:28  robertj
 * Added new standard cursors for PSplitter.
 *
 * Revision 1.11  1994/08/23  11:32:52  robertj
 * Oops
 *
 * Revision 1.10  1994/08/22  00:46:48  robertj
 * Added pragma fro GNU C++ compiler.
 *
 * Revision 1.9  1994/07/17  10:46:06  robertj
 * Added extra standard strings for Window menu.
 *
 * Revision 1.8  1994/06/25  11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.7  1994/04/20  12:17:44  robertj
 * Added multiple inclusion protection
 *
 * Revision 1.6  1994/04/11  14:13:05  robertj
 * Added extra standard resource IDs and normalised dialog ids.
 *
 * Revision 1.5  1994/03/07  07:38:19  robertj
 * Major enhancementsacross the board.
 *
 * Revision 1.4  1994/01/17  10:37:36  robertj
 * Added standard IDs for Ok and Cancal buttons.
 *
 * Revision 1.3  1993/08/19  18:03:28  robertj
 * Fixed "nested" comment
 *
 * Revision 1.2  1993/07/14  12:49:16  robertj
 * Fixed RCS keywords.
 *
 */


#ifndef _PSTDRESID
#define _PSTDRESID

#ifdef __GNUC__
#pragma interface
#endif


// Resource IDs for standard resources.

#define PSTD_ID_STR_OK               32300
#define PSTD_ID_STR_CANCEL           32301
#define PSTD_ID_STR_YES              32302
#define PSTD_ID_STR_NO               32303
#define PSTD_ID_STR_ABORT            32304
#define PSTD_ID_STR_RETRY            32305
#define PSTD_ID_STR_IGNORE           32306
#define PSTD_ID_STR_ABOUT_MENU       32307
#define PSTD_ID_STR_ABOUT_TEXT       32308
#define PSTD_ID_STR_WINDOW_MENU      32309
#define PSTD_ID_STR_WINDOW_CASCADE   32310
#define PSTD_ID_STR_WINDOW_TILE      32311
#define PSTD_ID_STR_WINDOW_ARRANGE   32312
#define PSTD_ID_STR_HELP_MENU        32313
#define PSTD_ID_STR_HELP_CONTENTS    32314
#define PSTD_ID_STR_HELP_SEARCH      32315
#define PSTD_ID_STR_HELP_ON_HELP     32316
#define PSTD_ID_STR_WEEKDAYS         32340
#define PSTD_ID_STR_SUNDAY           (PSTD_ID_STR_WEEKDAYS+0)
#define PSTD_ID_STR_MONDAY           (PSTD_ID_STR_WEEKDAYS+1)
#define PSTD_ID_STR_TUESDAY          (PSTD_ID_STR_WEEKDAYS+2)
#define PSTD_ID_STR_WEDNESDAY        (PSTD_ID_STR_WEEKDAYS+3)
#define PSTD_ID_STR_THURSDAY         (PSTD_ID_STR_WEEKDAYS+4)
#define PSTD_ID_STR_FRIDAY           (PSTD_ID_STR_WEEKDAYS+5)
#define PSTD_ID_STR_SATURDAY         (PSTD_ID_STR_WEEKDAYS+6)
#define PSTD_ID_STR_ABBREV_WEEKDAYS  32350
#define PSTD_ID_STR_ABBREV_SUNDAY    (PSTD_ID_STR_ABBREV_WEEKDAYS+0)
#define PSTD_ID_STR_ABBREV_MONDAY    (PSTD_ID_STR_ABBREV_WEEKDAYS+1)
#define PSTD_ID_STR_ABBREV_TUESDAY   (PSTD_ID_STR_ABBREV_WEEKDAYS+2)
#define PSTD_ID_STR_ABBREV_WEDNESDAY (PSTD_ID_STR_ABBREV_WEEKDAYS+3)
#define PSTD_ID_STR_ABBREV_THURSDAY  (PSTD_ID_STR_ABBREV_WEEKDAYS+4)
#define PSTD_ID_STR_ABBREV_FRIDAY    (PSTD_ID_STR_ABBREV_WEEKDAYS+5)
#define PSTD_ID_STR_ABBREV_SATURDAY  (PSTD_ID_STR_ABBREV_WEEKDAYS+6)
#define PSTD_ID_STR_MONTHS           32760
#define PSTD_ID_STR_JANUARY          (PSTD_ID_STR_MONTHS+1)
#define PSTD_ID_STR_FEBRUARY         (PSTD_ID_STR_MONTHS+2)
#define PSTD_ID_STR_MARCH            (PSTD_ID_STR_MONTHS+3)
#define PSTD_ID_STR_APRIL            (PSTD_ID_STR_MONTHS+4)
#define PSTD_ID_STR_MAY              (PSTD_ID_STR_MONTHS+5)
#define PSTD_ID_STR_JUNE             (PSTD_ID_STR_MONTHS+6)
#define PSTD_ID_STR_JULY             (PSTD_ID_STR_MONTHS+7)
#define PSTD_ID_STR_AUGUST           (PSTD_ID_STR_MONTHS+8)
#define PSTD_ID_STR_SEPTEMBER        (PSTD_ID_STR_MONTHS+9)
#define PSTD_ID_STR_OCTOBER          (PSTD_ID_STR_MONTHS+10)
#define PSTD_ID_STR_NOVEMBER         (PSTD_ID_STR_MONTHS+11)
#define PSTD_ID_STR_DECEMBER         (PSTD_ID_STR_MONTHS+12)
#define PSTD_ID_STR_ABBREV_MONTHS    32780
#define PSTD_ID_STR_ABBREV_JANUARY   (PSTD_ID_STR_ABBREV_MONTHS+1)
#define PSTD_ID_STR_ABBREV_FEBRUARY  (PSTD_ID_STR_ABBREV_MONTHS+2)
#define PSTD_ID_STR_ABBREV_MARCH     (PSTD_ID_STR_ABBREV_MONTHS+3)
#define PSTD_ID_STR_ABBREV_APRIL     (PSTD_ID_STR_ABBREV_MONTHS+4)
#define PSTD_ID_STR_ABBREV_MAY       (PSTD_ID_STR_ABBREV_MONTHS+5)
#define PSTD_ID_STR_ABBREV_JUNE      (PSTD_ID_STR_ABBREV_MONTHS+6)
#define PSTD_ID_STR_ABBREV_JULY      (PSTD_ID_STR_ABBREV_MONTHS+7)
#define PSTD_ID_STR_ABBREV_AUGUST    (PSTD_ID_STR_ABBREV_MONTHS+8)
#define PSTD_ID_STR_ABBREV_SEPTEMBER (PSTD_ID_STR_ABBREV_MONTHS+9)
#define PSTD_ID_STR_ABBREV_OCTOBER   (PSTD_ID_STR_ABBREV_MONTHS+10)
#define PSTD_ID_STR_ABBREV_NOVEMBER  (PSTD_ID_STR_ABBREV_MONTHS+11)
#define PSTD_ID_STR_ABBREV_DECEMBER  (PSTD_ID_STR_ABBREV_MONTHS+12)

#define PSTD_ID_ICON_INFORMATION     32400
#define PSTD_ID_ICON_QUESTION        32401
#define PSTD_ID_ICON_EXCLAMATION     32402
#define PSTD_ID_ICON_STOPSIGN        32403
#define PSTD_ID_ICON_WINDOW          32404

#define PSTD_ID_CURSOR_ARROW         32500
#define PSTD_ID_CURSOR_IBEAM         32501
#define PSTD_ID_CURSOR_WAIT          32502
#define PSTD_ID_CURSOR_CROSS         32503
#define PSTD_ID_CURSOR_LEFTRIGHT     32504
#define PSTD_ID_CURSOR_UPDOWN        32505

#define PSTD_ID_CURSOR_MOVETOP       32506
#define PSTD_ID_CURSOR_MOVETOPRIGHT  32507
#define PSTD_ID_CURSOR_MOVERIGHT     32508
#define PSTD_ID_CURSOR_MOVEBOTRIGHT  32509
#define PSTD_ID_CURSOR_MOVEBOTTOM    32510
#define PSTD_ID_CURSOR_MOVEBOTLEFT   32511
#define PSTD_ID_CURSOR_MOVELEFT      32512
#define PSTD_ID_CURSOR_MOVETOPLEFT   32513


#define PSTD_ID_DIALOG_OPEN_FILE     32600
#define PSTD_ID_DIALOG_SAVE_FILE     32601
#define PSTD_ID_DIALOG_OPEN_DIR      32602
#define PSTD_ID_DIALOG_PRINTER_SETUP 32603
#define PSTD_ID_DIALOG_PRINT_JOB     32604
#define PSTD_ID_DIALOG_FONT          32605
#define PSTD_ID_DIALOG_COLOUR        32606

#define PSTD_ID_HELP_CONTENTS        32700
#define PSTD_ID_HELP_SEARCH          32701
#define PSTD_ID_HELP_ON_HELP         32702

#define PSTD_ID_OK                   1
#define PSTD_ID_CANCEL               2
#define PSTD_ID_HELP                 3


#endif


// End Of File ///////////////////////////////////////////////////////////////
