/*
 * resource.prc
 *
 * Resource Editor resources.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: Resource.prc,v $
 * Revision 1.2  1998/09/26 01:24:20  robertj
 * Added open source license
 *
 */

#include <stdres.h>


String @IDS_TITLE               "Portable Windows Resource Editor";
String @IDS_ERROR_OUTPUT        "Resource Compiler Output";
String @IDS_STRING_RES          "String";
String @IDS_MENUBAR_RES         "Menu Bar";
String @IDS_LAYOUT_RES          "Layout";
String @IDS_DIALOG_RES          "Dialog";
String @IDS_MODAL_RES           "Modal Dialog";
String @IDS_ICON_RES            "Icon";
String @IDS_CURSOR_RES          "Cursor";
String @IDS_PATTERN_RES         "Pattern";
String @IDS_IMAGE_RES           "Image";
String @IDS_DATA_RES            "Data";
String @IDS_STRING_EDITOR       "String Editor";
String @IDS_MENU_EDITOR         "Menu Editor";
String @IDS_LAYOUT_EDITOR       "Layout Editor";
String @IDS_IMAGE_EDITOR        "Image Editor";
String @IDS_DATA_EDITOR         "Data Editor";


MenuBar
{
    Class MainMenu;
    Window MainWindow;

    Menu PSTD_STR_FILE_MENU {
        Item {
            Title        PSTD_STR_OPEN_MENU;
            Notify       "Open";
            Accelerators "Ctrl+Shift+O";
        }
        Item {
            Title        PSTD_STR_SAVE_AS_MENU;
            Notify       "SaveAs";
            Accelerators "Ctrl+Shift+S";
        }
        Separator;
        Item {
            Title        PSTD_STR_EXIT_MENU;
            Notify       "Exit";
            Accelerators PSTD_STR_EXIT_ACCEL;
        }
    }

    Menu PSTD_STR_EDIT_MENU {
        Item {
            Title  PSTD_STR_COPY_MENU;
            Notify "Copy";
            Accelerators { PSTD_STR_COPY_ACCEL1,  PSTD_STR_COPY_ACCEL2  }
        }
        Item {
            Title  PSTD_STR_PASTE_MENU;
            Notify "Paste";
            Accelerators { PSTD_STR_PASTE_ACCEL1, PSTD_STR_PASTE_ACCEL2 }
        }
        Item {
            Title  "C&lear";
            Notify "Clear";
        }
        Separator;
        Item {
            Title        "&Select All";
            Notify       "SelectAll";
            Accelerators "Ctrl+Shift+A";
        }
    }
}


Icon @IDI_APPICON
{
    Dimensions 32,32,4;
    Colours {
          0,   0,   0,
        128,   0,   0,
          0, 128,   0,
        128, 128,   0,
          0,   0, 128,
        128,   0, 128,
          0, 128, 128,
        128, 128, 128,
        192, 192, 192,
        255,   0,   0,
          0, 255,   0,
        255, 255,   0,
          0,   0, 255,
        255,   0, 255,
          0, 255, 255,
        255, 255, 255
    }
    Pixels {
         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
         0  0 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15  0  0 15 15 15 15 15 15 15  0  0 15 15 15  0 15 15 15 15  0  0  0  0  0 15 15 15  0  0
         0  0 15  0  0  0 15 15 15 15 15  0  0 15 15 15 15 15  0  0  0  0  9  9  0 10 10  0  0 15  0  0
         0  0 15 15  0  0  0 15 15 15  0  0 15 15 15 15 15  9 15 15  0  9  9  9  0 10 10 10  0 15  0  0
         0  0 15 15 15  0  0  0 15  0  0 15 15 15 15 15 15 15 15 15  0  9  9  9  0 10 10 10  0 15  0  0
         0  0 15 15 15 15  0  0  0  0 15 15 15 15 15 15 15  9 15 15  0  9  9  9  0 10 10 10  0 15  0  0
         0  0 15 15 15 15 15  0  0  0 15 15 15 15 15 15 15  0 15 15  0  9  0  0  0  0  0 10  0 15  0  0
         0  0 15 15 15 15  0  0  0  0  0 15 15 15 15 15 15 15  0  0  0  0 12 12  0 11 11  0  0 15  0  0
         0  0 15 15 15  0  0 15 15  0  0  0 15 15 15 15 15 12 15 12  0 12 12 12  0 11 11 11  0 15  0  0
         0  0 15 15  0  0 15 15 15 15  0  0  0 15 15 15 15 15 12 15  0 12 12 12  0 11 11 11  0 15  0  0
         0  0 15  0  0 15 15 15 15 15 15  0  0  0 15 15 15 12 15 12  0 12 12 12  0 11 11 11  0 15  0  0
         0  0 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0 12 15  0 12  0  0  0  0  0 11  0 15  0  0
         0  0 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0  0  0 15 15 15 15 15  0  0 15  0  0
         0  0 15 15 15 15 15 15 15  2  2  2 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 15 15 15 15  2  2  2 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 15 15 15 15  2 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 15  2  2  2  2  2  2  2  2 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 11 11 11 11 11 11 11 11 11 11 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 11 11 11 11 11 11 11 11 11 11 15 15 15 15 15  7  7  7  7  7  7  7  7  7  7 15 15  0  0
         0  0 15 11  9 11  9 11  9 11  9 11 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15  9 11  9 11  9 11  9 11 11 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15  9  9  9  9  9  9  9  9  9 15 15 15 15 15 15  7  7  7  7  7  7  7  7  7  7 15 15  0  0
         0  0 15  9  9  9  9  9  9  9  9  9  9 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 13 13 13 13 13 13 13 13 13 13 13 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 13 13 13 13 13 13 13 13 13 15 15 15 15 15  7  7  7  7  7  7  7  7  7  7 15 15  0  0
         0  0 15 15 15 12 12 12 12 12 12 12 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 15 15 12 12 12 12 12 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15  0  0
         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
         0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0
    }
    AndMask {
        1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
        1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 1
        1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
        1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
    }
    XorMask {
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
        0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 0 0 1 1 1 1 1 1 1 0 0 1 1 1 0 1 1 1 1 0 0 0 0 0 1 1 1 0 0
        0 0 1 0 0 0 1 1 1 1 1 0 0 1 1 1 1 1 0 0 0 0 1 1 0 1 1 0 0 1 0 0
        0 0 1 1 0 0 0 1 1 1 0 0 1 1 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 1 1 0 0 0 1 0 0 1 1 1 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 1 1 1 0 0 0 0 1 1 1 1 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 1 1 1 1 0 0 0 1 1 1 1 1 1 1 0 1 1 0 1 0 0 0 0 0 1 0 1 0 0
        0 0 1 1 1 1 0 0 0 0 0 1 1 1 1 1 1 1 0 0 0 0 1 1 0 1 1 0 0 1 0 0
        0 0 1 1 1 0 0 1 1 0 0 0 1 1 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 1 0 0 1 1 1 1 0 0 0 1 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 0 0 1 1 1 1 1 1 0 0 0 1 1 1 1 1 1 0 1 1 1 0 1 1 1 0 1 0 0
        0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 1 1 0 1 0 0 0 0 0 1 0 1 0 0
        0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0 0 0 1 1 1 1 1 0 0 1 0 0
        0 0 1 1 1 1 1 1 1 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 1 1 1 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 1 1 1 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 1 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 1 1 0 0
        0 0 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 1 1 0 0
        0 0 1 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 0 0 0 0 0 0 0 0 0 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 1 1 0 0
        0 0 1 1 1 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 1 0 0 0 0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
        0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
    }
}


ModalDialog {
  title "About PWRE";
  dim   165, 135;
  class AboutDialog;

  CentreText { Title "Portable Windows Resource Editor";   Pos 30, 10;  Dim 131,  8; }
  CentreText { Title "Version 1.0a1";               Pos 30, 20;  Dim 125,  8; }

  StaticIcon { Icon IDI_APPICON;                    Pos 10, 10; }

  StaticBox  {                                      Pos  5, 75;  Dim 150, 1; }

  CentreText { Title "This software is free to all personal users.";
                                                    Pos  5, 45;  Dim 150, 10; }
  CentreText { Title "All other users should contact the author for licensing details.";
                                                    Pos 10, 55;  Dim 140, 18; }

  StaticBox  {                                      Pos  5, 40;  Dim 150, 1; }

  CentreText { Title "Copyright 1994, Equivalence"; Pos  5, 80;  Dim 150, 9; }
  CentreText { Title "craigs@ineluki.apana.oz.au";  Pos  5, 90;  Dim 150, 9; }

  StaticBox  {                                      Pos  5, 100; Dim 150, 1; }

  PushButton { Title "Ok";  Options ok, default;    Pos 55, 110; Dim 45, 15; }
}


// End Of File ///////////////////////////////////////////////////////////////
